Skip to main content
GET
/
v1
/
project
/
{projectName}
/
environment
/
{environmentName}
/
notes
List notes
curl --request GET \
  --url https://public-api.forestadmin.com/v1/project/{projectName}/environment/{environmentName}/notes \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": false,
  "parameters": {
    "projectName": "Forest",
    "environmentName": "Production",
    "limit": 10
  },
  "data": [
    {
      "object": "note",
      "id": 42,
      "title": "THE TITLE",
      "recordId": "10",
      "createdAt": "2024-02-20T10:35:54.685Z",
      "updatedAt": "2024-03-10T10:36:54.685Z",
      "archivedAt": "2024-05-22T14:01:23.015Z",
      "user": {
        "object": "user",
        "id": 1,
        "username": "alice1",
        "email": "alice@somewhere.com"
      },
      "environment": {
        "object": "environment",
        "name": "aName"
      },
      "team": {
        "object": "team",
        "name": "aName"
      },
      "collection": {
        "object": "collection",
        "name": "client"
      },
      "messages": [
        {
          "object": "note-message",
          "content": "<p>Needs to be verified</p>",
          "createdAt": "2024-02-20T10:35:54.685Z",
          "user": {
            "object": "user",
            "email": "alice@somewhere.com",
            "id": 1,
            "username": "alice"
          }
        },
        {
          "object": "note-message",
          "content": "<p>Ok</p>",
          "createdAt": "2024-02-20T11:15:32.461Z",
          "user": {
            "object": "user",
            "email": "bob@somewhere.com",
            "id": 1,
            "username": "bob"
          }
        }
      ]
    }
  ]
}
The token must be generated by a user with an Admin role on the project. Tokens generated by non-admin users will not have access to this endpoint.
If your project uses SSO, the application token must be generated while logged in with SSO.
Results are paginated. When hasMore is true, fetch the next page by passing createdAt.lt set to the oldest createdAt in the current response.

Authorizations

Authorization
string
header
required

Bearer authentication

Path Parameters

environmentName
string
required

The case sensitive environment name

Minimum string length: 1
projectName
string
required

The case sensitive project name

Minimum string length: 1

Query Parameters

limit
integer
default:10

This specifies a limit on the number of objects to return, ranging between 1 and 100. Limit is set to 10 by default

Required range: 1 < x <= 100
userEmail
string<email>

The user email

userId
integer

The user id

Required range: x >= 1
teamName
string

The team name

Minimum string length: 1
collectionName
string

The collection name (same as in the schema).

Minimum string length: 1
recordId
string

The record id

Minimum string length: 1
createdAt.eq
string<date-time>

Value to filter by

createdAt.lt
string<date-time>

Maximum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.lte
string<date-time>

Minimum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gt
string<date-time>

Minimum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gte
string<date-time>

Maximum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

updatedAt.eq
string<date-time>

Value to filter by

updatedAt.lt
string<date-time>

Maximum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

updatedAt.lte
string<date-time>

Minimum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

updatedAt.gt
string<date-time>

Minimum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

updatedAt.gte
string<date-time>

Maximum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

archivedAt.eq
string<date-time>

Value to filter by

archivedAt.lt
string<date-time>

Maximum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

archivedAt.lte
string<date-time>

Minimum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

archivedAt.gt
string<date-time>

Minimum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

archivedAt.gte
string<date-time>

Maximum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

Response

List of notes

hasMore
boolean
required

Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

data
object[]
required
parameters
object
required

The parameters used to fetch the notes